package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.app.dto.DepartmentsSimpleDto;
import com.lz.modules.flow.entity.StaffRoleDepartment;

import java.util.List;

/**
* <p>
* 流转关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
public interface StaffRoleDepartmentService extends IService<StaffRoleDepartment> {



	StaffRoleDepartment selectStaffRoleDepartmentById(Long id);


	Long insertStaffRoleDepartment(StaffRoleDepartment staffRoleDepartment);


	int updateStaffRoleDepartmentById(StaffRoleDepartment staffRoleDepartment);


	int updateCoverStaffRoleDepartmentById(StaffRoleDepartment staffRoleDepartment);


	int deleteStaffRoleDepartmentById(Long id);


	List<StaffRoleDepartment> selectStaffRoleDepartmentByStaffRoleId(Long staffRoleId);

	StaffRoleDepartment selectStaffRoleDepartmentByDepartmentId(Long departmentId);

	StaffRoleDepartment selectStaffRoleDepartmentByDepartmentIdRoleIds(Long menuId, List<Long> ids);

	void deleteStaffRoleDepartment(Long id);

    List<DepartmentsSimpleDto> selectDepartmentSimpleInfos(List<String> ids);

    void deleteStaffRoleDepartmentByRoleId(Long roleId);
}